Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Clementine No URI handler implemented for "https".
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
h12
n00b
n00b


Joined: 11 Jun 2014
Posts: 7

PostPosted: Mon Jun 16, 2014 10:29 am    Post subject: Clementine No URI handler implemented for "https". Reply with quote

Hello , iam experiencing the problem . I cannot stream through clementine to internet sources , can anyone suggest me something to fix this message

No URI handler implemented for "https".


thank you
Back to top
View user's profile Send private message
Fitzcarraldo
l33t
l33t


Joined: 30 Aug 2008
Posts: 971
Location: United Kingdom

PostPosted: Mon Jun 16, 2014 12:50 pm    Post subject: Reply with quote

You're probably missing a plugin. Have you got gst-plugins-good, gst-plugins-bad and gst-plugins-ugly installed? Some people say installing gst-plugins-neon solves it for them.

I have a whole bunch of plugins installed on my main laptop, and Clementine streams audio fine:

media-libs/gst-plugins-bad
media-libs/gst-plugins-base
media-libs/gst-plugins-good
media-libs/gst-plugins-ugly
media-plugins/gst-plugins-a52dec
media-plugins/gst-plugins-alsa
media-plugins/gst-plugins-cdparanoia
media-plugins/gst-plugins-dts
media-plugins/gst-plugins-dv
media-plugins/gst-plugins-dvb
media-plugins/gst-plugins-dvdread
media-plugins/gst-plugins-faad
media-plugins/gst-plugins-ffmpeg
media-plugins/gst-plugins-flac
media-plugins/gst-plugins-gio
media-plugins/gst-plugins-jack
media-plugins/gst-plugins-jpeg
media-plugins/gst-plugins-lame
media-plugins/gst-plugins-libav
media-plugins/gst-plugins-mad
media-plugins/gst-plugins-meta
media-plugins/gst-plugins-mpeg2dec
media-plugins/gst-plugins-musepack
media-plugins/gst-plugins-ogg
media-plugins/gst-plugins-pango
media-plugins/gst-plugins-pulse
media-plugins/gst-plugins-resindvd
media-plugins/gst-plugins-soup
media-plugins/gst-plugins-taglib
media-plugins/gst-plugins-theora
media-plugins/gst-plugins-v4l2
media-plugins/gst-plugins-vorbis
media-plugins/gst-plugins-vpx
media-plugins/gst-plugins-x
media-plugins/gst-plugins-x264
media-plugins/gst-plugins-xvid
media-plugins/gst-plugins-xvideo

Which specific streaming Website is causing the error message you are seeing?
_________________
Clevo W230SS: amd64, OpenRC, Optimus. / Compal NBLB2: ~amd64, OpenRC, FGLRX, dual booting with Windows 7 Professional 64-bit.
kde-{plasma,frameworks,apps}:5 on both.
Fitzcarraldo's blog
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 6190

PostPosted: Mon Jun 16, 2014 8:00 pm    Post subject: Reply with quote

As we're talking about gstreamer and https handlers, the plugin in question is most likely media-plugins/gst-plugins-soup .
Back to top
View user's profile Send private message
h12
n00b
n00b


Joined: 11 Jun 2014
Posts: 7

PostPosted: Wed Jun 18, 2014 8:41 am    Post subject: Reply with quote

thank you guys ...i update to gst-plugins-neon ..and fixed the stream ..in jazz radio for example

but in soundcloud ,that is the main problem, it has changed the mesage error to "could not read from the source"


Anyone knows how i can i list the latest installed packages , cause i messed up a little bit >??
Back to top
View user's profile Send private message
Fitzcarraldo
l33t
l33t


Joined: 30 Aug 2008
Posts: 971
Location: United Kingdom

PostPosted: Wed Jun 18, 2014 2:27 pm    Post subject: Reply with quote

I think SoundCloud uses RTMP, so you need to install gst-plugins-bad. See: http://gstreamer.freedesktop.org/documentation/plugins.html

If you want to see what packages you have installed, install eix and use that:

Code:
# emerge eix
# eix-update
# eix -I gst-plugins


EDIT: In any case, you should install gst-plugins-good and gst-plugins-ugly too. See: http://schmatzler.de/2014/05/26/youtube-and-soundcloud-without-flash-on-linux/?lang=en
_________________
Clevo W230SS: amd64, OpenRC, Optimus. / Compal NBLB2: ~amd64, OpenRC, FGLRX, dual booting with Windows 7 Professional 64-bit.
kde-{plasma,frameworks,apps}:5 on both.
Fitzcarraldo's blog
Back to top
View user's profile Send private message
h12
n00b
n00b


Joined: 11 Jun 2014
Posts: 7

PostPosted: Wed Jun 18, 2014 4:26 pm    Post subject: Reply with quote

all the above mentioned plugins are already installed ,but soundcloud stills cannot read from the source


furthermoe the latest march/14 plugins are not working properly ...so i have them uninstalled and i use the december/13 plugins ..
Back to top
View user's profile Send private message
Pastafarianist
n00b
n00b


Joined: 19 Jan 2016
Posts: 2

PostPosted: Tue Jan 19, 2016 10:54 am    Post subject: Reply with quote

I have the exact same problem. I cannot play music from vk with Clementine using the 9999 ebuild. Before I started tinkering with extra plugins, Clementine was showing "no URI handler for https".


  • If I install gst-plugins-neon and NOT gst-plugins-soup-1.0, the error changes to "could not read from resource".
  • If I install BOTH gst-plugins-neon and gst-plugins-soup-1.0, the error changes to "a network error occurred or the server closed the connection in an unexpected manner".


Here is what I have installed:

Code:

$ eix -cI gst
[I] dev-python/gst-python (0.10.22-r1(0.10)@21/04/15 1.4.0(1.0)@19/01/16): A Python Interface to GStreamer
[I] media-libs/gst-plugins-bad (0.10.23-r3(0.10)@14/01/16 1.4.5(1.0)@10/06/15): Less plugins for GStreamer
[I] media-libs/gst-plugins-base (0.10.36-r2(0.10)@27/04/15 1.4.5(1.0)@21/04/15): Basepack of plugins for gstreamer
[I] media-libs/gst-plugins-good (0.10.31-r1(0.10)@21/04/15 1.4.5(1.0)@19/01/16): Basepack of plugins for GStreamer
[I] media-libs/gst-plugins-ugly (0.10.19-r1(0.10)@21/04/15 1.4.5(1.0)@10/06/15): Basepack of plugins for gstreamer
[I] media-libs/gstreamer (0.10.36-r2(0.10)@27/04/15 1.4.5(1.0)@21/04/15): Open source multimedia framework
[I] media-plugins/gst-plugins-a52dec (0.10.19-r1(0.10)@21/04/15 1.4.5(1.0)@10/06/15): plugin for gstreamer
[I] media-plugins/gst-plugins-alsa (0.10.36-r1(0.10)@21/04/15): plugin for gstreamer
[I] media-plugins/gst-plugins-assrender (0.10.23-r1(0.10)@04/07/15 1.4.5(1.0)@04/07/15): GStreamer plugin for ASS/SSA rendering with effects support
[I] media-plugins/gst-plugins-cdparanoia (0.10.36-r1(0.10)@21/04/15 1.4.5(1.0)@10/06/15): plugin for gstreamer
[I] media-plugins/gst-plugins-dts (0.10.23-r1(0.10)@21/04/15 1.4.5(1.0)@10/06/15): GStreamer plugin for MPEG-1/2 video encoding
[I] media-plugins/gst-plugins-dv (1.4.5(1.0)@19/01/16): GStreamer plugin to demux and decode DV
[I] media-plugins/gst-plugins-dvb (1.4.5(1.0)@19/01/16): plugin for gstreamer
[I] media-plugins/gst-plugins-dvdread (0.10.19-r1(0.10)@21/04/15 1.4.5(1.0)@10/06/15): plugin for gstreamer
[I] media-plugins/gst-plugins-faac (1.4.5(1.0)@10/06/15): plugin for gstreamer
[I] media-plugins/gst-plugins-faad (0.10.23-r2(0.10)@13/07/15 1.4.5-r1(1.0)@13/07/15): plugin for gstreamer
[I] media-plugins/gst-plugins-ffmpeg (0.10.13_p201211-r5(0.10)@04/01/16): FFmpeg based gstreamer plugin
[I] media-plugins/gst-plugins-flac (0.10.31-r1(0.10)@21/04/15 1.4.5(1.0)@10/06/15): GStreamer encoder/decoder/tagger for FLAC
[I] media-plugins/gst-plugins-gconf (0.10.31-r1(0.10)@21/04/15): GStreamer plugin for wrapping GConf audio/video settings
[I] media-plugins/gst-plugins-gio (0.10.36-r1(0.10)@24/04/15): plugin for gstreamer
[I] media-plugins/gst-plugins-jack (1.4.5(1.0)@19/01/16): plugin for gstreamer
[I] media-plugins/gst-plugins-jpeg (1.4.5(1.0)@19/01/16): GStreamer encoder/decoder for JPEG format
[I] media-plugins/gst-plugins-lame (1.4.5(1.0)@19/01/16): plugin for gstreamer
[I] media-plugins/gst-plugins-libav (1.4.5-r2(1.0)@19/01/16): FFmpeg based gstreamer plugin
[I] media-plugins/gst-plugins-libnice (0.1.13(0.10)@13/07/15 0.1.13-r100(1.0)@19/01/16): GStreamer plugin for ICE (RFC 5245) support
[I] media-plugins/gst-plugins-mad (0.10.19-r1(0.10)@21/04/15 1.4.5(1.0)@10/06/15): plugin for gstreamer
[I] media-plugins/gst-plugins-meta (0.10-r10(0.10)@04/07/15 1.0-r2(1.0)@04/07/15): Meta ebuild to pull in gst plugins for apps
[I] media-plugins/gst-plugins-mpeg2dec (0.10.19-r1(0.10)@21/04/15 1.4.5(1.0)@10/06/15): Libmpeg2 based decoder plug-in for gstreamer
[I] media-plugins/gst-plugins-musepack (0.10.23-r1(0.10)@19/01/16): plugin for gstreamer
[I] media-plugins/gst-plugins-neon (1.2.4-r1(1.0)@19/01/16): plugin for gstreamer
[I] media-plugins/gst-plugins-ogg (0.10.36-r1(0.10)@21/04/15): plugin for gstreamer
[I] media-plugins/gst-plugins-opus (1.4.5(1.0)@11/06/15): GStreamer plugin for Opus audio codec support
[I] media-plugins/gst-plugins-pango (0.10.36-r1(0.10)@19/01/16): plugin for gstreamer
[I] media-plugins/gst-plugins-pulse (0.10.31-r1(0.10)@21/04/15 1.4.5(1.0)@10/06/15): GStreamer plugin for the PulseAudio sound server
[I] media-plugins/gst-plugins-resindvd (0.10.23-r1(0.10)@21/04/15 1.4.5(1.0)@10/06/15): plugin for gstreamer
[I] media-plugins/gst-plugins-soup (0.10.31-r1(0.10)@24/04/15 1.4.5(1.0)@19/01/16): GStreamer plugin for HTTP client source/sink
[I] media-plugins/gst-plugins-taglib (0.10.31-r1(0.10)@24/04/15 1.4.5(1.0)@19/01/16): GStreamer taglib based tag handler
[I] media-plugins/gst-plugins-theora (0.10.36-r1(0.10)@19/01/16): plugin for gstreamer
[I] media-plugins/gst-plugins-v4l2 (1.4.5(1.0)@19/01/16): plugin for gstreamer
[I] media-plugins/gst-plugins-vorbis (0.10.36-r1(0.10)@21/04/15): plugin for gstreamer
[I] media-plugins/gst-plugins-vpx (1.4.5(1.0)@19/01/16): GStreamer decoder for vpx video format
[I] media-plugins/gst-plugins-x (0.10.36-r1(0.10)@21/04/15): plugin for gstreamer
[I] media-plugins/gst-plugins-x264 (0.10.19-r1(0.10)@21/04/15 1.4.5(1.0)@10/06/15): plugin for gstreamer
[I] media-plugins/gst-plugins-xvid (0.10.23-r1(0.10)@21/04/15): GStreamer plugin for XviD (MPEG-4) video encoding/decoding support
[I] media-plugins/gst-plugins-xvideo (0.10.36-r1(0.10)@21/04/15): plugin for gstreamer


If someone has vk streaming working in Clementine, could you post the list of GStreamer plugins that you have installed?
Back to top
View user's profile Send private message
Leio
Developer
Developer


Joined: 27 Feb 2003
Posts: 271
Location: Estonia

PostPosted: Tue Jan 19, 2016 1:40 pm    Post subject: Reply with quote

RTMP plugins on gentoo are in media-plugins/gst-plugins-rtmp, not gst-plugins-bad.
_________________
GNOME team lead; GStreamer
Back to top
View user's profile Send private message
Pastafarianist
n00b
n00b


Joined: 19 Jan 2016
Posts: 2

PostPosted: Sat Feb 06, 2016 3:26 pm    Post subject: Reply with quote

Leio wrote:
RTMP plugins on gentoo are in media-plugins/gst-plugins-rtmp, not gst-plugins-bad.


I'm afraid that's irrelevant. With gst-plugins-rtmp installed, Clementine still shows "no URI handler for https".
Back to top
View user's profile Send private message
Leio
Developer
Developer


Joined: 27 Feb 2003
Posts: 271
Location: Estonia

PostPosted: Sat Feb 06, 2016 4:14 pm    Post subject: Reply with quote

My RTMP comment was meant as a reply to Fitzcarraldo's post.

For https URI gst-plugins-soup:1.0 should do - provided you use clementine-1.3_rc. But I couldn't find any audio streams over https from anywhere on a quick search, all I use are rtsp or http, so I couldn't test myself with pure gstreamer playback to make sure it works.

clementine 1.2 still uses gstreamer 0.10, so :0.10 slots for those. But gst0.10 is so old and unmaintained, I wouldn't be surprised something like https isn't working with that, use gst 1.x with clementine-1.3+ if possible.
_________________
GNOME team lead; GStreamer
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum